Subject: RE: [PATCH] ARM: HYP/non-sec: Make a variable as a local one
From: Yuantian Tang <[email-masked]>
To: Albert ARIBAUD <[email-masked]>
Date: Mon, 22 Sep 2014 08:46:09 +0000

Hello Albert,

> -----Original Message-----
> From: Albert ARIBAUD [mailto:[email-masked]]
> Sent: Friday, September 19, 2014 11:58 PM
> To: Tang Yuantian-B29983
> Subject: Re: [PATCH] ARM: HYP/non-sec: Make a variable as a local one
>
> > >
> > > Did you check that the global was not used as a common variable
> > > between the functions?
> > >
> > Yes, I grep it globally. It was referred by only 2 places which are both in virt-v7.c
> file.
>
> The grepping alone does not prove it's not used as a common variable.
> If it's read then written in one function and read in another, then maing it local
> will probably cause ugly issues.
>
That's not going to happen. This variable would be assigned a value of "GIC BASE ADDRESS".
In any time, it is only allowed to read, no permission to write.
If you are not sure about this, I can do this in another way which is adding a local variable and
assigned gic_dist_addr to it. That would not break any existing code.

Thanks,
Yuantian

> > I will fix the subject.
>
> Thanks.
>
> > Thanks,
> > Yuantian
> >
> > > Amicalement,
> > > --
> > > Albert.
>
>
> Amicalement,
> --
> Albert.